---
title: eSign Status
description: Check the status of an eSign request and retrieve the signed document URL.
---

This API is for checking the status of eSign. After processing this api, we can get the status of esign as completed or not. If it's completed, it will also save the signed document and return the pdf URL.

#### POST

```
https://kraken.airpay.co.in/airpay/ms/esign/api/get-esign-status
```

## Header

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| affiliate  required | Text | Will be provided by airpay | `91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps` |
| checksum  required | Text | string = param + secret_key;<br>sha256(<concate all values+SECRET KEY>); | `91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps` |
| processor-key  required | Text | Will be provided by airpay | `91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps` |

## Request Body

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| txn_id  required | Alphanumeric | Transaction id (max 10) | `1058` |
| mobile_no  optional | Numeric | Mobile number (length 1-10) | `1234567890` |
| docrefid  required | Alphanumeric | Document reference id (length 1-7) Will be provided by airpay | `YPRWUAW` |

## Success 200

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| status  required | Numeric | Status code (length 1-3) | `200` |
| message  required | Text | Message<br>Success - 200 (The transaction is success)<br>Transaction in Process - 211 (The transaction is processing)<br>Failed - 400 (The transaction is failed)<br>Dropped - 401 (The transaction will not register properly)<br>Cancel - 402 (payment that has not yet been processed)<br>Incomplete - 403 (Not recieved any call back from bank)<br>Bounced - 405 (The transaction has bounced)<br>No Records - 503 (There are no records found) | `eSign is already completed for this user` |
| signed_document  required | Text | This will provide the signed document | `https://test_esign.airpay.co.in/docRequest/eyJpdiI6IkVmRGJuV0Zob2ttYWo1WWNnUENcfQ==` |
| esignType  required | Text | esign type is nothing but what identifies whether the esigned agreement contains a single or multiple signature. | `Single` |
| name  required | Text | Name of the customer | `Kuldip Kumar` |
| last4digit  required | Numeric | aadhar card number last 4 digit | `0000` |
| state  required | Text | Name of state | `kerala` |
| postalCode  required | Numeric | Postal code | `202000` |

## Request Example

```
curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/esign/api/get-esign-status' \
--header 'affiliate: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'checksum: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'processor-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--form 'txn_id="1058"'\
--form 'docrefid="YPRWUAW"'
```

### Success Response

```json
HTTP/1.1 200 OK
{
         "status": 200,
         "signed_document": " https://test_esign.airpay.co.in/docRequest/eyJpdiI6IkVmRGJuV0Zob2ttYWo1WWNnUENcL3lBPT0iLCJ2YWx1ZSI6InF3Qllsc3EzM2ZUYWQ0c0RzTm5COWc9PSIsIm1hYyI6ImNiNWUzYjI2ZTA2ZjJjZTIzNTBkZjQ4NDZkZTYxY2FiMTY4YzI5NjhjNDQ4NjhkMGIxNWY4NGE1Y2M5NDRiYzUifQ==",
         "message": "eSign is already completed for this user",
         "esignType": "Single",
          "name": "Kuldip Kumar",
          "last4digit": "0000",
          "state": "kerala",
          "postalCode": "202000"
}
```

### Error Response

```json
HTTP/1.1 400 Failed
 {
     "status": 400,
     "message": "eSign is not completed for this user"
 }
```